/** @file   he-geom.c   Berechnungen fuer geometrische Objekte.
*/

/* Copyright (C) 2014 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"
#include "he-geom.h"

#define _USE_MATH_DEFINES	1
#include <math.h>


double
hsm_et_geom_quadrat_flaeche(double sl)
{
  double	 res = -1.0;
  if (0.0 <= sl) {
    res = sl * sl;
  }
  return res;
}



double
hsm_et_geom_rechteck_flaeche(double sla, double slb)
{
  double	 res = -1.0;
  if ((0.0 <= sla) && (0.0 <= slb)) {
    res = sla * slb;
  }
  return res;
}



/* vim: set ai sw=4 ts=4 expandtab : */
