/* Testprogramm zur Demonstration von strncpy */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS 1
#endif

#include <stdio.h>
#include <string.h>


/** Kurzer Test-String, passt in Puffer.
*/
char const teststring1[] = { "Montag" };


/** Langer Test-String, passt nicht in Puffer.
*/
char const teststring2[] = { "Sonnabend" };


/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	char puffer[7];

	strncpy(puffer, teststring1, sizeof(puffer));
	puffer[sizeof(puffer)-1] = '\0';
	printf("Puffer: \"%s\"\n", puffer);

	strncpy(puffer, teststring2, sizeof(puffer));
	puffer[sizeof(puffer)-1] = '\0';
	printf("Puffer: \"%s\"\n", puffer);
	return 0;
}

/* vim: set ai sw=4 ts=4 : */
