/** @file   ex066.c Demonstration von Gleitkomma-Ausnahmen.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"

#include <stdio.h>
#include <stdlib.h>
#if HAVE_FLOAT_H
#include <float.h>
#endif
#if HAVE_FENV_H
#include <fenv.h>
#endif

#ifdef _WIN32
static const    unsigned    int mask    =
_SW_ZERODIVIDE | _SW_INVALID | _SW_OVERFLOW | _SW_UNDERFLOW | _SW_DENORMAL;
#else
static const                int mask    =
HE_ALL_EXCEPT & ((HE_INEXACT));
#endif

int
main(void)
{
	double    a;  /* Linker Operand */
	double    b;  /* Rechter Operand */
	double    c;  /* Ergebnis */


	return 0;
}

/* vim: set ai sw=4 ts=4 : */
