/** @file   he-strch.c  Funktionen fuer die Arbeit mit Strings.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"

#include <stdio.h>
#if HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include "he-strch.h"


char *
hsm_et_str_chomp(char *src)
{
	char		*back	= NULL;	/* Ergebnis der Funktion */
	char		*lptr	= NULL;	/* Letztes Nicht-Leerzeichen */
	char		*ptr;		/* Durchmustern des Textes */

	if (NULL != src) {
		ptr = src;
		while('\0' != *ptr) {
			if (    (' ' != *ptr) && ('\t' != *ptr)
					&& ('\r' != *ptr) && ('\n' != *ptr)
			) {
				if (NULL == back) { back = ptr; }
				lptr = ptr;
			}
			ptr++;
		}
		if (NULL != lptr) { *(++lptr) = '\0'; }
	}
	return back;
}



/* vim: set ai sw=4 ts=4 : */
