/*  Testprogramm zur Quadratflaechenberechnung
    Die Eingabe wird getestet, es sind nur nichtnegative Seitenlaengen erlaubt.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _CRT_SECURE_NO_WARNINGS 1
#include <stdio.h>

/** Hauptprogramm.
    @return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
    double    slaenge;    /* Seitenlaenge */
    double    flaeche;    /* Flaecheninhalt */

    printf("Bitte Seitenlaenge fuer Quadrat angeben: ");
    scanf("%lg", &slaenge);
    if (0.0 <= slaenge) {
        flaeche = slaenge * slaenge;
        printf("Flaecheninhalt: %lg\n", flaeche);
    }
    else {
        printf("FEHLER: Seitenlaenge darf nicht negativ sein!\n");
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
