/* Testprogramm zur Demonstration von strcpy */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS 1
#endif

#include <stdio.h>
#include <string.h>


/** Kurzer Test-String, passt in Puffer.
*/
char const teststring1[] = { "Montag" };


/** Langer Test-String, passt nicht in Puffer.
*/
char const teststring2[] = { "Sonnabend" };


/** Hauptprogramm.
    @return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
    char puffer[7];

    /*    Versuch, teststring1 in den Puffer zu kopieren.
    */
    if(sizeof(puffer) > strlen(teststring1)) {
        strcpy(puffer, teststring1);
        printf("Test-String 1 wurde kopiert!\n");
    }
    else {
        printf("FEHLER: Test-String 1 ist zu gross fuer Puffer!\n");
    }

    /*    Versuch, teststring2 in den Puffer zu kopieren.
    */
    if(sizeof(puffer) > strlen(teststring2)) {
        strcpy(puffer, teststring2);
        printf("Test-String 2 wurde kopiert!\n");
    }
    else {
        printf("FEHLER: Test-String 2 ist zu gross fuer Puffer!\n");
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
