/* Testprogram zur Demonstration einer Funktion */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _CRT_SECURE_NO_WARNINGS 1
#include <stdio.h>



/**     Flaechenberechnung fuer Quadrat.
		@param  a   Seitenlaenge des Quadrates.
		@return Flaecheninhalt des Quadrates bei Erfolg, -1.0 bei Fehler
		(negative Seitenlaenge).
*/
double
quadratflaeche(double a);



/** Hauptprogramm.
	@return 0 bei Erfolg, 1 bei Fehler.
*/
int
main(void)
{
	int       exitcode = 1;   /* Exit-Code, 0 bei Erfolg, 1 bei Fehler */
	double    slaenge;        /* Seitenlaenge */

	printf("Bitte Seitenlaenge fuer Quadrat angeben: ");
	scanf("%lg", &slaenge);
	if (0.0 <= slaenge) {
		printf("Flaecheninhalt: %lg\n", quadratflaeche(slaenge));
		exitcode = 0;
	}
	else {
		printf("FEHLER: Seitenlaenge darf nicht negativ sein!\n");
	}
	return exitcode;
}



double
quadratflaeche(double a)
{
	double    ergebnis    =   -1.0;
	if (0.0 <= a) {
		ergebnis = a * a;
	}
	return    ergebnis;
}

/* vim: set ai sw=4 ts=4 : */
