/* Beispiel zur Verdeutlichung von lokalen Variablen */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>


/** Addition von zwei Werten.
	@param  w1  Linker Operand.
	@param  w2  Rechter Operand.
	@return Summe der beiden Operanden.
*/
int
add(int w1, int w2);


/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	int   s1	= 10;
	int   s2	= 20;
	int   w1	= 50;
	int   w2	= 60;
	int   summe	= 0;

	printf("Vor  Verwendung von add(): s1    = %d\n", s1);
	printf("Vor  Verwendung von add(): s2    = %d\n", s2);
	printf("Vor  Verwendung von add(): w1    = %d\n", w1);
	printf("Vor  Verwendung von add(): w2    = %d\n", w2);
	printf("Vor  Verwendung von add(): summe = %d\n", summe);
	summe = add(s1, s2);
	printf("Nach Verwendung von add(): s1    = %d\n", s1);
	printf("Nach Verwendung von add(): s2    = %d\n", s2);
	printf("Nach Verwendung von add(): w1    = %d\n", w1);
	printf("Nach Verwendung von add(): w2    = %d\n", w2);
	printf("Nach Verwendung von add(): summe = %d\n", summe);
	return 0;
}


int
add(int w1, int w2)
{
	int   s1;

	printf("Start von add(): w1 = %d\n", w1);
	printf("Start von add(): w2 = %d\n", w2);
	w1 = w1 + w2;
	s1 = 3;
	printf("Ende  von add(): w1 = %d\n", w1);
	return w1;
}

/* vim: set ai sw=4 ts=4 : */
